Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Static Public Member Functions | Properties | List of all members
ClassTypeReference Class Reference

シリアライズ可能な型の参照用クラス。 More...

Inherits ISerializationCallbackReceiver.

## Public Member Functions
| ClassTypeReference ()
| 何も指定しないでClassTypeReferenceを作成する。 More...
| ClassTypeReference (Type type)
| Typeを指定してClassTypeReferenceを作成する。 More...
bool | IsAssignableFrom (Type type)
| 割り当て可能な型かどうかを判定する。 More...
bool | Equals (ClassTypeReference typeRef)
| ClassTypeReferenceと等しいかを返す。 More...
bool | Equals (Type type)
| Typeと等しいかを返す。 More...
override bool | Equals (object obj)
| objectと等しいかを返す。 More...
override int | GetHashCode ()
| ハッシュ値を取得する。 More...
override string | ToString ()
| 文字列に変換する。 More...

## Static Public Member Functions
static bool | operator== (ClassTypeReference typeRef, Type type)
| ClassTypeReferenceとTypeが等しいかを返す。 More...
static bool | operator != (ClassTypeReference typeRef, Type type)
| ClassTypeReferenceとTypeが等しくないかを返す。 More...
static bool | operator== (Type type, ClassTypeReference typeRef)
| ClassTypeReferenceとTypeが等しいかを返す。 More...
static bool | operator != (Type type, ClassTypeReference typeRef)
| ClassTypeReferenceとTypeが等しくないかを返す。 More...
static implicit | operator Type (ClassTypeReference typeRef)
| ClassTypeReferenceからTypeへキャストする。 More...
static implicit | operator ClassTypeReference (Type type)
| TypeからClassTypeReferenceへキャストする。 More...
static string | TidyAssemblyTypeName (Type type)
| Typeをシリアライズ可能な文字列に変換する。 More...
static Type | GetAssemblyType (string assemblyTypeName)
| 文字列からSystem.Typeを取得する。 More...

## Properties
Type | type`[get, set]`
| 参照している型 More...

## Detailed Description

シリアライズ可能な型の参照用クラス。

Editorから選択可能な型を制限するにはClassTypeConstraintAttributeを継承している属性を指定する。

## Constructor & Destructor Documentation

## ◆ ClassTypeReference() [1/2]

ClassTypeReference | ( |  | ) |

何も指定しないでClassTypeReferenceを作成する。

## ◆ ClassTypeReference() [2/2]

ClassTypeReference | ( | Type | type | ) |

Typeを指定してClassTypeReferenceを作成する。

## Member Function Documentation

## ◆ Equals() [1/3]

bool Equals | ( | ClassTypeReference | typeRef | ) |

ClassTypeReferenceと等しいかを返す。

Parameters

  typeRef | ClassTypeReferenceの値

Returns
  等しい場合にtrueを返す。

## ◆ Equals() [2/3]

bool Equals | ( | Type | type | ) |

Typeと等しいかを返す。

Parameters

  type | Typeの値

Returns
  等しい場合にtrueを返す。

## ◆ Equals() [3/3]

override bool Equals | ( | object | obj | ) |

objectと等しいかを返す。

Parameters

  obj | objectの値

Returns
  等しい場合にtrueを返す。

## ◆ GetAssemblyType()

static Type GetAssemblyType | ( | string | assemblyTypeName | ) |
| static

文字列からSystem.Typeを取得する。

Parameters

  assemblyTypeName | 型名

Returns
  System.Type。assemblyTypeNameが空かnullの場合はnullを返す。

## ◆ GetHashCode()

override int GetHashCode | ( |  | ) |

ハッシュ値を取得する。

Returns
  ハッシュ値

## ◆ IsAssignableFrom()

bool IsAssignableFrom | ( | Type | type | ) |

割り当て可能な型かどうかを判定する。

Parameters

  type | 判定する型

Returns
  割り当て可能な型の場合にtrueを返す。

## ◆ operator !=() [1/2]

static bool operator != | ( | ClassTypeReference | typeRef,
|  | Type | type
| ) |  |
| static

ClassTypeReferenceとTypeが等しくないかを返す。

Parameters

  typeRef | ClassTypeReferenceの値
  type | Typeの値

Returns
  等しくない場合にtrueを返す。

## ◆ operator !=() [2/2]

static bool operator != | ( | Type | type,
|  | ClassTypeReference | typeRef
| ) |  |
| static

ClassTypeReferenceとTypeが等しくないかを返す。

Parameters

  type | Typeの値
  typeRef | ClassTypeReferenceの値

Returns
  等しくない場合にtrueを返す。

## ◆ operator ClassTypeReference()

static implicit operator ClassTypeReference | ( | Type | type | ) |
| static

TypeからClassTypeReferenceへキャストする。

Parameters

  type | Typeの値

## ◆ operator Type()

static implicit operator Type | ( | ClassTypeReference | typeRef | ) |
| static

ClassTypeReferenceからTypeへキャストする。

Parameters

  typeRef | ClassTypeReferenceの値

## ◆ operator==() [1/2]

static bool operator== | ( | ClassTypeReference | typeRef,
|  | Type | type
| ) |  |
| static

ClassTypeReferenceとTypeが等しいかを返す。

Parameters

  typeRef | ClassTypeReferenceの値
  type | Typeの値

Returns
  等しい場合にtrueを返す。

## ◆ operator==() [2/2]

static bool operator== | ( | Type | type,
|  | ClassTypeReference | typeRef
| ) |  |
| static

ClassTypeReferenceとTypeが等しいかを返す。

Parameters

  type | Typeの値
  typeRef | ClassTypeReferenceの値

Returns
  等しい場合にtrueを返す。

## ◆ TidyAssemblyTypeName()

static string TidyAssemblyTypeName | ( | Type | type | ) |
| static

Typeをシリアライズ可能な文字列に変換する。

Parameters

  type | Typeの値

Returns
  シリアライズ可能な文字列

## ◆ ToString()

override string ToString | ( |  | ) |

文字列に変換する。

Returns
  変換した文字列

## Property Documentation

## ◆ type

Type type
| get set

参照している型